> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy workflow

> Creates a new deployment for the specified workflow ID, making the current version of the workflow live.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/workflows/{workflowId}/deploy
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/workflows/{workflowId}/deploy:
    post:
      tags:
        - Workflow
      summary: Deploy workflow
      description: >-
        Creates a new deployment for the specified workflow ID, making the
        current version of the workflow live.
      parameters:
        - schema:
            type: string
          in: path
          name: workflowId
          required: true
          description: The unique identifier of the workflow to deploy.
      responses:
        '202':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  asyncResultId:
                    type: string
                    description: >-
                      The ID of the async result tracking the deployment
                      progress.
                required:
                  - asyncResultId
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Workflow with the specified ID not found.
                required:
                  - error
                additionalProperties: false

````